﻿using System;
using System.ComponentModel;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Data.Entity;
using System.Data;

namespace TelerikCheckBoxIssue.Models
{
    public class ContractModel
    {
        public class contractService
        {
            public int Id { get; set; }
            public string ContractNumber { get; set; }
            public string OwnerName { get; set; }
            public List<providers> providers { get; set; }
        }

        public class providers
        {
            public int ID { get; set; }
            public string Name { get; set; }
            public string Description { get; set; }
           
        }
        public class serviceDetails
        {
            public int ID { get; set; }
            public int ContractorId { get; set; }
            public string Name { get; set; }
            public string Description { get; set; }
        }
        public static IEnumerable<providers> GetAllContractors(int Id)
        {
            List<providers> lstProvider = new List<providers>();
            DataTable table = new DataTable();
            table.Columns.Add("ID", typeof(int));
            table.Columns.Add("Name");
            table.Columns.Add("Description");
            for (int i = 1; i < 4; i++)
            {
                table.Rows.Add(i, "Name" + i.ToString(), "Description" + i.ToString());
            }
            lstProvider = (from rw in table.AsEnumerable()
                                 select new providers()
                                 {
                                     ID = Convert.ToInt32(rw["ID"]),
                                     Name = Convert.ToString(rw["Name"]),
                                      Description = Convert.ToString(rw["Description"])
                                 }).ToList();           
            return lstProvider;
        }

        public static IEnumerable<serviceDetails> GetAllServices(int Id, int contractorId)
        {
            List<serviceDetails> lstServices = new List<serviceDetails>();
            DataTable table = new DataTable();
            table.Columns.Add("ID", typeof(int));
            table.Columns.Add("ContractorId", typeof(int));
            table.Columns.Add("Name");
            table.Columns.Add("Description");
            for (int i = 1; i < 4; i++)
            {
                table.Rows.Add(i, 1, "Name" + i.ToString(), "Description" + i.ToString());
            }
            for (int i = 4; i < 6; i++)
            {
                table.Rows.Add(i,  2, "Name" + i.ToString(), "Description" + i.ToString());
            }
            for (int i = 6; i < 7; i++)
            {
                table.Rows.Add(i, 3, "Name" + i.ToString(), "Description" + i.ToString());
            }
           
            lstServices = (from rw in table.AsEnumerable()
                           where Convert.ToInt32(rw["ContractorId"]) == contractorId
                           select new serviceDetails()
                           {
                               ID = Convert.ToInt32(rw["ID"]),
                               ContractorId = Convert.ToInt32(rw["ContractorId"]),
                               Name = Convert.ToString(rw["Name"]),
                               Description = Convert.ToString(rw["Description"])
                           }).ToList();
            return lstServices;
        }
    }
}